// let host = window.location.protocol+"//"+window.location.hostname;
//
// let host = 'http://100.92.0.228' //正式环境
let host = 'http://183.230.176.125'
// let host = 'http://zxcmnb.natapp1.cc'
// let host = 'http://172.18.60.115'
// let host = 'http://172.18.60.161'
// let host = 'http://172.20.10.2'
// let host = 'http://192.168.1.6' // 吴敏

// 前端部署访问地址，用于静态文件访问，路径跳转等

// combine为true时五合一部署, 为false时分五个服务部署
let combine = true
var defaultModulePortMap = {
    form: '8082',
    portal: '8084',
    bpmRunTime: '8086',
    bpmModel: '8087',
    uc: '8088',
    cqlt: '18068'
}
window.getModuleRootUrl = function (module) {
    // 默认是全部服务合一的端口
    var modulePort = '18058' // 内网8098
    // var modulePort = '8058' // 内网8098
    // var modulePort = '8098'//正式环境
    // var modulePort = ''
    if (!combine) {
        modulePort = defaultModulePortMap[module]
    }
    return host + ':' + modulePort //
}
window.context = {
    task: host + ':8096',
    WebSocket: host + ':8099',
    manage: host + ':18080/mvue', //管理端页面
    front: host + ':19078/fvue', //前端页面
    frontMap: 'http://t0.tianditu.gov.cn', //前端页面
    cqMap:'https://map.geoq.cn', // 重庆地图poi
    mobile: host + ':8082/mobilevue', //手机端页面
    totalPlat: host + ':8888', //前端页面
    form: getModuleRootUrl('form'),
    portal: getModuleRootUrl('portal'),
    bpmRunTime: getModuleRootUrl('bpmRunTime'),
    bpmModel: getModuleRootUrl('bpmModel'),
    uc: getModuleRootUrl('uc'),
    mc: getModuleRootUrl('mc'),
    cqlt: getModuleRootUrl('cqlt')
}
// 单点配置
window.ssoConfig = {
    mode: '', // 空则不使用单点  支持的模式有  cas oauth basic
    url: 'http://127.0.0.1:8092/oauth/authorize',
    clientId: 'eip7', // oauth模式下需要提供
    logout: 'http://127.0.0.1:8092/logout'
}
